apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: workspaces-api
  namespace: workspaces

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      backend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/workspaces:production_bfd943b2
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: workspaces-api

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 8000
          command:
            _default:
            - /bin/bash
            - -ec
          args:
            _default:
            - |
              set -euo pipefail
              /migrations migrate
              /api


          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: workspaces-service

          type:
            _default: ClusterIP

          port:
            _default: 8000

          targetPort:
            _default: 8000

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred

        labels:
          monitoring: prometheus
        envs:
          - name: POSTGRES_ADDRESS
            value:
              _default: "192.168.2.45"

          - name: POSTGRES_PORT
            value:
              _default: "5432"

          - name: POSTGRES_DB
            value:
              _default: "workspaces_db"

          - name: POSTGRES_POOL_SIZE
            value:
              _default: "3"

          - name: BUNDLES_RETRY_COUNT
            value:
              _default: "5"

          - name: BUNDLES_NJOBS
            value:
              _default: "5"

          - name: API_ADDRESS
            value:
              _default: "0.0.0.0:8000"

          - name: NAMESPACE
            value:
              _default: "workspaces"

          - name: ENABLE_SQL_QUERY
            value:
              _default: "0"

          - name: ENABLE_SSL
            value:
              _default: "0"

          - name: DOCUMENTATION_HOST
            value:
              _default: "https://test.sarex.brusnika.tech/documentations"

          - name: DOCUMENTATION_LOGGER_FEATURE
            value:
              _default: "0"

          - name: DOCUMENTATION_ORIGINATOR
            value:
              _default: "prod_ws"

          - name: ENVIRONMENT
            value:
              _default: "prod"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: DJANGO_ORIGINATOR
            value:
              _default: "docs_prod"
        secretEnvs:
          - name: POSTGRES_USER
            secretName:
              _default: "postgres-secret"
            secretKey: "username"

          - name: POSTGRES_PASSWORD
            secretName:
              _default: "postgres-secret"
            secretKey: "password"

          - name: DJANGO_BASIC_AUTH
            secretName:
              _default: "django-auth"
            secretKey: "key"

        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""